Subject: Sabrina cabin
From: tony poland <[email-masked]>
To: Bob Armstrong <[email-masked]>
Date: Thu, 18 Feb 2021 18:56:40 -0700

Bob, i met with Sabrina i replaced her out side light and installed the
solar lights she bought on the side and entryway. I plan to install her
cabinets while she is out of town and install her trim we will start
tomorrow with the cabinets. i explained to her that i have been out of
sorts between the election, my car, and general life challenges i have not
been on top of things i apologised for slacking and assured her i will be
on top of issues promptly from here on out and that i hoped she understood.
She was ok and said she understood. I will update you on the progress later
this week.

thanks